<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sch="http://www.ascc.net/xml/schematron"
                xmlns:ec="http://xml.insee.fr/schema/etat-civil"
                version="1.0"
                ec:dummy-for-xmlns="">
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">
      <xsl:apply-templates select="/" mode="M2"/>
   </xsl:template>
   <xsl:template match="ec:ActeDeDeces/ec:Defunt/ec:DefuntIdentifie" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="(ec:NomDeFamilleDuConjoint or not(normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div')) and (not(ec:NomDeFamilleDuConjoint) or (normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div'))"/>
         <xsl:otherwise>Element ec:NomDeFamilleDuConjoint dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si état matrimonial au moment du décès = mar, veuf, div</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:PrenomsOfficielsDuConjoint or not(normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div')) and (not(ec:PrenomsOfficielsDuConjoint) or (normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div'))"/>
         <xsl:otherwise>Element ec:PrenomsOfficielsDuConjoint dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si état matrimonial au moment du décès = mar, veuf, div</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="ec:ActeDeMariage/ec:Conjoint" priority="3999" mode="M2">
      <xsl:choose>
         <xsl:when test="(ec:NomsDuPrecedentConjoint or not(normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div')) and (not(ec:NomsDuPrecedentConjoint) or (normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div'))"/>
         <xsl:otherwise>Element ec:NomsDuPrecedentConjoint dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si état matrimonial avant le mariage = veuf, div</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:PrenomsDuPrecedentConjoint or not(normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div')) and (not(ec:PrenomsDuPrecedentConjoint) or (normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div'))"/>
         <xsl:otherwise>Element ec:PrenomsDuPrecedentConjoint dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si état matrimonial avant le mariage = veuf, div</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="ec:ActeDeNaissance/ec:Enfant" priority="3998" mode="M2">
      <xsl:choose>
         <xsl:when test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))"/>
         <xsl:otherwise>Element ec:DateDeLaDeclarationConjointe dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si déclaration conjointe de choix de nom =O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="ec:ActeDeTranscriptionDeJap/ec:Enfant" priority="3997" mode="M2">
      <xsl:choose>
         <xsl:when test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))"/>
         <xsl:otherwise>Element ec:DateDeLaDeclarationConjointe dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si déclaration conjointe de choix de nom =O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="ec:ActeDeTranscriptionDeJdd/ec:Defunt/ec:DefuntIdentifie"
                 priority="3996"
                 mode="M2">
      <xsl:choose>
         <xsl:when test="(ec:NomDeFamilleDuConjoint or not(normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div')) and (not(ec:NomDeFamilleDuConjoint) or (normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div'))"/>
         <xsl:otherwise>Element ec:NomDeFamilleDuConjoint dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si état matrimonial au moment du décès = mar, veuf, div</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:PrenomsOfficielsDuConjoint or not(normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div')) and (not(ec:PrenomsOfficielsDuConjoint) or (normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div'))"/>
         <xsl:otherwise>Element ec:PrenomsOfficielsDuConjoint dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si état matrimonial au moment du décès = mar, veuf, div</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="ec:ActeDeTranscriptionDeJdn/ec:Enfant" priority="3995" mode="M2">
      <xsl:choose>
         <xsl:when test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))"/>
         <xsl:otherwise>Element ec:DateDeLaDeclarationConjointe dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si déclaration conjointe de choix de nom =O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>