<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sch="http://www.ascc.net/xml/schematron"
                xmlns:ec="http://xml.insee.fr/schema/etat-civil"
                version="1.0"
                ec:dummy-for-xmlns="">
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">
      <xsl:apply-templates select="/" mode="M2"/>
      <xsl:apply-templates select="/" mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:Registre" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="(                     ec:IdentifiantDuRegistre                     or not(                         normalize-space(ec:TypeDeRegistre/@code)='M'                         or normalize-space(ec:TypeDeRegistre/@code)='N'                         or normalize-space(ec:TypeDeRegistre/@code)='D'                         or normalize-space(ec:TypeDeRegistre/@code)='T'                         or normalize-space(ec:TypeDeRegistre/@code)='R'                         )                     ) and (                     not(ec:IdentifiantDuRegistre)                      or (                         normalize-space(ec:TypeDeRegistre/@code)='M'                         or normalize-space(ec:TypeDeRegistre/@code)='N'                         or normalize-space(ec:TypeDeRegistre/@code)='D'                         or normalize-space(ec:TypeDeRegistre/@code)='T'                         or normalize-space(ec:TypeDeRegistre/@code)='R'                     )                 )                 "/>
         <xsl:otherwise>Element ec:IdentifiantDuRegistre dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si @code du type de registre=M,N,D,T,R</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="ec:BulletinDeDeces/ec:Defunt/ec:DefuntIdentifie/ec:SituationSocioProfessionnelle"
                 priority="4000"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeDeces/ec:Registre" priority="3999" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeDeclarationDeChangementDeNom/ec:Registre" priority="3998"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeDeclarationDeRepriseDeVieCommune/ec:Registre"
                 priority="3997"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeMariage/ec:Conjoint" priority="3996" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:DateDEffetDeLEtatMatrimonialPrecedent or not(normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div')) and (not(ec:DateDEffetDeLEtatMatrimonialPrecedent) or (normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div'))"/>
         <xsl:otherwise>Element ec:DateDEffetDeLEtatMatrimonialPrecedent dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si état matrimonial avant le mariage = veuf, div</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeMariage/ec:Registre" priority="3995" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeMentionEnMargeModifiantUnActeDeNaissance/ec:ElementsDeLActeModifiesParLaMention"
                 priority="3994"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="ec:NomDeFamille or ec:PrenomsOfficiels or ec:Sexe or ec:DateDeNaissance"/>
         <xsl:otherwise>Elément ec:BulletinDeMentionEnMargeModifiantUnActeDeNaissance/ec:ElementsDeLActeModifiesParLaMention : au moins un des composants suivants : nom de famille, prénoms officiels, sexe, date de naissance</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeNaissance/ec:ContexteNaissance" priority="3993" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:DateDeLaPrecedenteNaissanceVivante or not(ec:NombreDEnfantsDeLaMereNesVivantsPrecedemment &gt; 0)) and (not(ec:DateDeLaPrecedenteNaissanceVivante) or (ec:NombreDEnfantsDeLaMereNesVivantsPrecedemment &gt; 0))"/>
         <xsl:otherwise>Element ec:DateDeLaPrecedenteNaissanceVivante dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si nombre d'enfants de la mère nés vivants précédemment &gt;0</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeNaissance/ec:Enfant" priority="3992" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))"/>
         <xsl:otherwise>Element ec:DateDeLaDeclarationConjointe dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si déclaration conjointe de choix de nom =O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeNaissance/ec:Mere/ec:SituationSocioProfessionnelle"
                 priority="3991"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeNaissance/ec:Pere/ec:ParentVivant/ec:SituationSocioProfessionnelle"
                 priority="3990"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeNaissance/ec:Registre" priority="3989" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeReconnaissance/ec:Registre" priority="3988" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeDeces/ec:Registre" priority="3987" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJap/ec:Enfant" priority="3986" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))"/>
         <xsl:otherwise>Element ec:DateDeLaDeclarationConjointe dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si déclaration conjointe de choix de nom =O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJap/ec:Parent/ec:ParentVivant/ec:SituationSocioProfessionnelle"
                 priority="3985"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJap/ec:Registre" priority="3984" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJda/ec:Registre" priority="3983" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJda/ec:SituationSocioProfessionnelle"
                 priority="3982"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJdd/ec:Defunt/ec:DefuntIdentifie/ec:SituationSocioProfessionnelle"
                 priority="3981"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJdd/ec:Registre" priority="3980" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJdn/ec:Enfant" priority="3979" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))"/>
         <xsl:otherwise>Element ec:DateDeLaDeclarationConjointe dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si déclaration conjointe de choix de nom =O</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJdn/ec:Mere/ec:SituationSocioProfessionnelle"
                 priority="3978"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJdn/ec:Pere/ec:ParentVivant/ec:SituationSocioProfessionnelle"
                 priority="3977"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinDeTranscriptionDeJdn/ec:Registre" priority="3976" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinEnfantSansVie/ec:ContexteNaissance" priority="3975" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:DateDeLaPrecedenteNaissanceVivante or not(ec:NombreDEnfantsDeLaMereNesVivantsPrecedemment &gt; 0)) and (not(ec:DateDeLaPrecedenteNaissanceVivante) or (ec:NombreDEnfantsDeLaMereNesVivantsPrecedemment &gt; 0))"/>
         <xsl:otherwise>Element ec:DateDeLaPrecedenteNaissanceVivante dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si nombre d'enfants de la mère nés vivants précédemment &gt;0</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinEnfantSansVie/ec:Mere/ec:SituationSocioProfessionnelle"
                 priority="3974"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinEnfantSansVie/ec:Pere/ec:ParentVivant/ec:SituationSocioProfessionnelle"
                 priority="3973"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinEnfantSansVie/ec:Registre" priority="3972" mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="ec:BulletinProcesVerbalDEnfantTrouve/ec:Registre" priority="3971"
                 mode="M3">
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M3"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M3"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>
