<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2" xmlns:saxon="http://saxon.sf.net/">
   <title>Schéma généré par XSLT</title>
   <ns uri="http://xml.insee.fr/schema/etat-civil" prefix="ec"/>
   <pattern name="manuel">
    <!-- Règles ajoutées ou modifiées manuellement -->
        <rule context="ec:Registre">
            <assert
                test="(
                    ec:IdentifiantDuRegistre
                    or not(
                        normalize-space(ec:TypeDeRegistre/@code)='M'
                        or normalize-space(ec:TypeDeRegistre/@code)='N'
                        or normalize-space(ec:TypeDeRegistre/@code)='D'
                        or normalize-space(ec:TypeDeRegistre/@code)='T'
                        or normalize-space(ec:TypeDeRegistre/@code)='R'
                        )
                    ) and (
                    not(ec:IdentifiantDuRegistre) 
                    or (
                        normalize-space(ec:TypeDeRegistre/@code)='M'
                        or normalize-space(ec:TypeDeRegistre/@code)='N'
                        or normalize-space(ec:TypeDeRegistre/@code)='D'
                        or normalize-space(ec:TypeDeRegistre/@code)='T'
                        or normalize-space(ec:TypeDeRegistre/@code)='R'
                    )
                )
                "
                >Element ec:IdentifiantDuRegistre dans <name/>: si et seulement si @code du type de registre=M,N,D,T,R
            </assert>
        </rule>
    </pattern>

   <pattern name="contraintes">
      <rule context="ec:BulletinDeConclusionDePacs/ec:Partenaire">
         <assert test="(ec:DateDEffetDeLEtatMatrimonialPrecedent or not(normalize-space(ec:EtatMatrimonialAvantLePacs) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLePacs) = 'div')) and (not(ec:DateDEffetDeLEtatMatrimonialPrecedent) or (normalize-space(ec:EtatMatrimonialAvantLePacs) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLePacs) = 'div'))">Element ec:DateDEffetDeLEtatMatrimonialPrecedent dans <name/>: si et seulement si état matrimonial avant le pacs = veuf, div</assert>
      </rule>
      <rule context="ec:BulletinDeDeces/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeDeclarationDeChangementDeNom/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeDeclarationDeChangementDePrenom/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeDeclarationDeRepriseDeVieCommune/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeMariage/ec:Conjoint/ec:SituationConjugale">
         <assert test="(ec:Date or not(normalize-space(ec:SituationConjugaleAvantMariage) = 'veuf' or normalize-space(ec:SituationConjugaleAvantMariage) = 'div' or normalize-space(ec:SituationConjugaleAvantMariage) = 'pacs')) and (not(ec:Date) or (normalize-space(ec:SituationConjugaleAvantMariage) = 'veuf' or normalize-space(ec:SituationConjugaleAvantMariage) = 'div' or normalize-space(ec:SituationConjugaleAvantMariage) = 'pacs'))">Element ec:Date dans <name/>: si et seulement si situation conjugale avant mariage = veuf, div,pacs</assert>
      </rule>
      <rule context="ec:BulletinDeMariage/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeMentionEnMargeModifiantUnActeDeNaissance/ec:ElementsDeLActeModifiesParLaMention">
         <assert test="ec:NomDeFamille or ec:PrenomsOfficiels or ec:Sexe or ec:DateDeNaissance">Elément ec:BulletinDeMentionEnMargeModifiantUnActeDeNaissance/ec:ElementsDeLActeModifiesParLaMention : au moins un des composants suivants : nom de famille, prénoms officiels, sexe, date de naissance</assert>
      </rule>
      <rule context="ec:BulletinDeNaissance/ec:ContexteNaissance">
         <assert test="(ec:DateDeLaPrecedenteNaissanceVivante or not(ec:NombreDEnfantsDeLaMereNesVivantsPrecedemment &gt; 0)) and (not(ec:DateDeLaPrecedenteNaissanceVivante) or (ec:NombreDEnfantsDeLaMereNesVivantsPrecedemment &gt; 0))">Element ec:DateDeLaPrecedenteNaissanceVivante dans <name/>: si et seulement si nombre d'enfants de la mère nés vivants précédemment &gt;0</assert>
      </rule>
      <rule context="ec:BulletinDeNaissance/ec:Enfant">
         <assert test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))">Element ec:DateDeLaDeclarationConjointe dans <name/>: si et seulement si déclaration conjointe de choix de nom =O</assert>
      </rule>
      <rule context="ec:BulletinDeNaissance/ec:Mere/ec:SituationSocioProfessionnelle">
         <assert test="(ec:Profession or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:Profession dans <name/>: si et seulement si activité = emp, cho</assert>
         <assert test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:SituationProfessionnelle dans <name/>: si et seulement si activité = emp, cho</assert>
      </rule>
      <rule context="ec:BulletinDeNaissance/ec:PereOuMere/ec:SituationSocioProfessionnelle">
         <assert test="(ec:Profession or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:Profession dans <name/>: si et seulement si activité = emp, cho</assert>
         <assert test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:SituationProfessionnelle dans <name/>: si et seulement si activité = emp, cho</assert>
      </rule>
      <rule context="ec:BulletinDeNaissance/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeNaissance/ec:SituationConjugale">
         <assert test="(ec:DateMariageOuPacs or not(normalize-space(ec:SituationConjugaleALaNaissance) = 'mar' or normalize-space(ec:SituationConjugaleALaNaissance) = 'pacs')) and (not(ec:DateMariageOuPacs) or (normalize-space(ec:SituationConjugaleALaNaissance) = 'mar' or normalize-space(ec:SituationConjugaleALaNaissance) = 'pacs'))">Element ec:DateMariageOuPacs dans <name/>: si et seulement si situation conjugale à la naissance = mar,pacs</assert>
         <assert test="(ec:LieuDuMariage or not(normalize-space(ec:SituationConjugaleALaNaissance) = 'mar')) and (not(ec:LieuDuMariage) or (normalize-space(ec:SituationConjugaleALaNaissance) = 'mar'))">Element ec:LieuDuMariage dans <name/>: si et seulement si situation conjugale à la naissance = mar</assert>
      </rule>
      <rule context="ec:BulletinDeReconnaissance/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeDeces/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJap/ec:Enfant">
         <assert test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))">Element ec:DateDeLaDeclarationConjointe dans <name/>: si et seulement si déclaration conjointe de choix de nom =O</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJap/ec:Filiation">
         <assert test="(ec:DateMariageOuPacs or not(normalize-space(ec:SituationConjugale) = 'mar' or normalize-space(ec:SituationConjugale) = 'pacs')) and (not(ec:DateMariageOuPacs) or (normalize-space(ec:SituationConjugale) = 'mar' or normalize-space(ec:SituationConjugale) = 'pacs'))">Element ec:DateMariageOuPacs dans <name/>: si et seulement si situation conjugale = mar,pacs</assert>
         <assert test="(ec:LieuDuMariage or not(normalize-space(ec:SituationConjugale) = 'mar')) and (not(ec:LieuDuMariage) or (normalize-space(ec:SituationConjugale) = 'mar'))">Element ec:LieuDuMariage dans <name/>: si et seulement si situation conjugale = mar</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJap/ec:Parent/ec:SituationSocioProfessionnelle">
         <assert test="(ec:Profession or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:Profession dans <name/>: si et seulement si activité = emp, cho</assert>
         <assert test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:SituationProfessionnelle dans <name/>: si et seulement si activité = emp, cho</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJap/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJda/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJdd/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJdn/ec:Enfant">
         <assert test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))">Element ec:DateDeLaDeclarationConjointe dans <name/>: si et seulement si déclaration conjointe de choix de nom =O</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJdn/ec:Mere/ec:SituationSocioProfessionnelle">
         <assert test="(ec:Profession or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:Profession dans <name/>: si et seulement si activité = emp, cho</assert>
         <assert test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:SituationProfessionnelle dans <name/>: si et seulement si activité = emp, cho</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJdn/ec:PereOuMere/ec:SituationSocioProfessionnelle">
         <assert test="(ec:Profession or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:Profession dans <name/>: si et seulement si activité = emp, cho</assert>
         <assert test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:SituationProfessionnelle dans <name/>: si et seulement si activité = emp, cho</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJdn/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinDeTranscriptionDeJdn/ec:SituationConjugale">
         <assert test="(ec:DateMariageOuPacs or not(normalize-space(ec:SituationConjugaleALaNaissance) = 'mar' or normalize-space(ec:SituationConjugaleALaNaissance) = 'pacs')) and (not(ec:DateMariageOuPacs) or (normalize-space(ec:SituationConjugaleALaNaissance) = 'mar' or normalize-space(ec:SituationConjugaleALaNaissance) = 'pacs'))">Element ec:DateMariageOuPacs dans <name/>: si et seulement si situation conjugale à la naissance = mar,pacs</assert>
         <assert test="(ec:LieuDuMariage or not(normalize-space(ec:SituationConjugaleALaNaissance) = 'mar')) and (not(ec:LieuDuMariage) or (normalize-space(ec:SituationConjugaleALaNaissance) = 'mar'))">Element ec:LieuDuMariage dans <name/>: si et seulement si situation conjugale à la naissance = mar</assert>
      </rule>
      <rule context="ec:BulletinEnfantSansVie/ec:ContexteNaissance">
         <assert test="(ec:DateDeLaPrecedenteNaissanceVivante or not(ec:NombreDEnfantsDeLaMereNesVivantsPrecedemment &gt; 0)) and (not(ec:DateDeLaPrecedenteNaissanceVivante) or (ec:NombreDEnfantsDeLaMereNesVivantsPrecedemment &gt; 0))">Element ec:DateDeLaPrecedenteNaissanceVivante dans <name/>: si et seulement si nombre d'enfants de la mère nés vivants précédemment &gt;0</assert>
      </rule>
      <rule context="ec:BulletinEnfantSansVie/ec:Mere/ec:SituationSocioProfessionnelle">
         <assert test="(ec:Profession or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:Profession dans <name/>: si et seulement si activité = emp, cho</assert>
         <assert test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:SituationProfessionnelle dans <name/>: si et seulement si activité = emp, cho</assert>
      </rule>
      <rule context="ec:BulletinEnfantSansVie/ec:PereOuMere/ec:SituationSocioProfessionnelle">
         <assert test="(ec:Profession or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:Profession dans <name/>: si et seulement si activité = emp, cho</assert>
         <assert test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'emp' or normalize-space(ec:Activite) = 'cho'))">Element ec:SituationProfessionnelle dans <name/>: si et seulement si activité = emp, cho</assert>
      </rule>
      <rule context="ec:BulletinEnfantSansVie/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
      <rule context="ec:BulletinEnfantSansVie/ec:SituationConjugale">
         <assert test="(ec:DateMariageOuPacs or not(normalize-space(ec:SituationConjugaleALaNaissance) = 'mar' or normalize-space(ec:SituationConjugaleALaNaissance) = 'pacs')) and (not(ec:DateMariageOuPacs) or (normalize-space(ec:SituationConjugaleALaNaissance) = 'mar' or normalize-space(ec:SituationConjugaleALaNaissance) = 'pacs'))">Element ec:DateMariageOuPacs dans <name/>: si et seulement si situation conjugale à la naissance = mar,pacs</assert>
         <assert test="(ec:LieuDuMariage or not(normalize-space(ec:SituationConjugaleALaNaissance) = 'mar')) and (not(ec:LieuDuMariage) or (normalize-space(ec:SituationConjugaleALaNaissance) = 'mar'))">Element ec:LieuDuMariage dans <name/>: si et seulement si situation conjugale à la naissance = mar</assert>
      </rule>
      <rule context="ec:BulletinProcesVerbalDEnfantTrouve/ec:Registre">
         <assert test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))">Element ec:NumeroDOrdreDuBulletin dans <name/>: si et seulement si type de transmission=P</assert>
      </rule>
   </pattern>
</schema>