<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sch="http://www.ascc.net/xml/schematron"
                xmlns:ec="http://xml.insee.fr/schema/etat-civil"
                version="1.0"
                ec:dummy-for-xmlns="">
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">
      <xsl:apply-templates select="/" mode="M2"/>
   </xsl:template>
   <xsl:template match="ec:CertificatDeDeces/ec:Registre" priority="4000" mode="M2">
      <xsl:choose>
         <xsl:when test="(ec:IdentifiantDuRegistre or not(normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'M' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'N' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'D' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'T' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'R')) and (not(ec:IdentifiantDuRegistre) or (normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'M' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'N' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'D' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'T' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'R'))"/>
         <xsl:otherwise>Element ec:IdentifiantDuRegistre dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si @code du type de registre=M,N,D,T,R</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="ec:DecesInserm/ec:DefuntInserm/ec:DefuntInsermIdentifie/ec:SituationSocioProfessionnelle"
                 priority="3999"
                 mode="M2">
      <xsl:choose>
         <xsl:when test="(ec:Profession or not(normalize-space(ec:Activite) = 'act')) and (not(ec:Profession) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:Profession dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:SituationProfessionnelle or not(normalize-space(ec:Activite) = 'act')) and (not(ec:SituationProfessionnelle) or (normalize-space(ec:Activite) = 'act'))"/>
         <xsl:otherwise>Element ec:SituationProfessionnelle dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si activité=act</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="ec:DecesInserm/ec:Registre" priority="3998" mode="M2">
      <xsl:choose>
         <xsl:when test="(ec:IdentifiantDuRegistre or not(normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'M' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'N' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'D' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'T' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'R')) and (not(ec:IdentifiantDuRegistre) or (normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'M' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'N' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'D' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'T' or normalize-space(Libellé du registre en clair,Unique = U, Mariage=M, Naissances=N, Décès=D, Transcriptions=T, Reconnaissances=RLa commune peut opter pour un registre unique (recommandé par l'IGREC pour les communes de moins de 5 000 h) ou pour des registres multiples. Dans le cas de registres multiples ils sont en général au nombre de 3 : naissances (N), décès (D), mariages (M). Le cas échéant, la mairie peut avoir un registre des reconnaissances (R) et de transcriptions (T).) = 'R'))"/>
         <xsl:otherwise>Element ec:IdentifiantDuRegistre dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si @code du type de registre=M,N,D,T,R</xsl:otherwise>
      </xsl:choose>
      <xsl:choose>
         <xsl:when test="(ec:NumeroDOrdreDuBulletin or not(normalize-space(ec:TypeDeTransmission) = 'P')) and (not(ec:NumeroDOrdreDuBulletin) or (normalize-space(ec:TypeDeTransmission) = 'P'))"/>
         <xsl:otherwise>Element ec:NumeroDOrdreDuBulletin dans<xsl:text xml:space="preserve"> </xsl:text>
            <xsl:value-of select="name(.)"/>
            <xsl:text xml:space="preserve"> </xsl:text>: si et seulement si type de transmission=P</xsl:otherwise>
      </xsl:choose>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>